fortune-zh (2.97) unstable; urgency=medium

  * delete unused lintian overrides
  * d/control: Bump Standards-Version 4.5.1
  * d/copyright:
      - delete Upstream info, as this is a Debian native package
      - update Source URL to salsa git
      - update Copyright year to 2021

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 03 Feb 2021 23:12:09 +0800

fortune-zh (2.96.1) unstable; urgency=medium

  [ 肖盛文 ]
  * d/control: remove the previous maintainer from the Uploaders list

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Sep 2020 11:38:47 +0800

fortune-zh (2.96) unstable; urgency=medium

  [ 肖盛文 ]
  * d/control:
   - Bump debhelper-compat (= 13)
   - Bump Standards-Version: 4.5.0
   - add Rules-Requires-Root: no
   - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
  * d/copyright: add Upstream-Contact:
  * New maintainer (Closes: #910181)

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 19 May 2020 11:00:09 +0800

fortune-zh (2.95) unstable; urgency=medium

  * Team upload.
  * quotes.d/bingxin.cookie: Remove a trailing space that triggered
    fortune cookie grammar error. (Closes: #928138)

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Apr 2019 16:02:39 -0400

fortune-zh (2.94) unstable; urgency=medium

  * Misc updates for the Debian Reference cookie generator:
    + Replace table frames with Unicode characters.
    + Update a regex for manpage keywords.
    + Fix colorizing glitches.
  * Refresh debian-reference.cookie with updated colorizing.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 03 Jan 2019 13:08:01 +0000

fortune-zh (2.93) unstable; urgency=medium

  * Fix several errors in refcard.cookie
  * Update colorizing for debian-reference
  * Bump Standards-Version to 4.3.0 (no change)
  * Use https format URI in debian/copyright.
  * Strip trailing whitespaces in dch.
  * Bump Year to 2019 in debian/copyright.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 01 Jan 2019 07:32:01 +0000

fortune-zh (2.92) unstable; urgency=medium

  * Update colorization for Debian Reference.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 31 Dec 2018 07:41:39 +0000

fortune-zh (2.91) unstable; urgency=medium

  * Add the missing B-D python3 . (Closes: #917845)

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 31 Dec 2018 05:23:58 +0000

fortune-zh (2.90) unstable; urgency=medium

  * Cookie updates, apart from importing lots of new cookies:
    + Typesetting updates for existing cookies.
    + Some new contents added into existing cookies.
    + Overhaul the directory hierarchy.
    + Chinese version of Debian Social Contract.
    + Chinese version of Debian Free Software Guide.
    + My translated Chinese version of Debian Code of Conduct.
    + Chinese version of Reference Card
    + Chinese version of Debian Reference (Osamu)
  - Remove unused and legacy files.
  * Add a draft for classifying different cookie categories.
  * Switch to new cookie data format
  * Add cookie2dat.py converter.
  * Aggressively remove the legacy transitional dummy package.
  * Overhaul Makefile.
  * Update Year in Copyright info.
  * Support ENV variable FORTUNEZH_NOCOLOR to filter ANSI sequence.
  * Change probability distribution in fortune-zh.
  * Override more false-positive lintian Errors and Warnings.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 30 Dec 2018 10:28:09 +0000

fortune-zh (2.8.1) unstable; urgency=medium

  * Add one more trivial science cookie.
  * Remove inappropriate cookies (Closes: #901026)
    - Remove a contributed cookie that conveys incorrect value.
    - Don't install contrib.d/fortune-mod-zh/src/joke by default,
      since it is full of offensive content.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 08 Jun 2018 09:05:58 +0000

fortune-zh (2.8) unstable; urgency=medium

  [ Boyuan Yang ]
  * d/README.debian: Fix typo

  [ Mo Zhou ]
  * Add new cookies to cyberspeak.dat .
  * Merge an ancient GPL-3 licensed fortune-zh friend project.
    + See chinese.d/contrib.d/fortune-mod-zh.meta
  * Create new cookie file moegirl.dat .
  * Add translated quotes from Richard. M. Stallman. (chinese.d/rms.dat)
  * Update tuna-collection cookies.
  * Create science cookies. (chinese.d/science.dat)
  * Merge contributed cookies from shu <lliocian@gmail.com>, thanks!
  * Create symlinks for the imported ancient project.
  * Makefile: Also Glob cookie from symbol links.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 26 May 2018 16:39:19 +0000

fortune-zh (2.7) unstable; urgency=medium

  * Overhaul the cookies.
  * Finish the chinese.d/shijing.d/shijing.dat cookie. (Closes: #850903)
  * Point Vcs-* fields to Salsa.
  * Bump Standards-Version to 4.1.3 (no change).
  * Bump debhelper compat to 11.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 08 Feb 2018 16:12:08 +0000

fortune-zh (2.6) unstable; urgency=medium

  * Automatically colorize the chinese.dat cookie at build time with
    hardcoded color via awk and sed when a specific pattern is matched.
    The color scheme is consistent with the ancient one.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 03 Dec 2017 12:25:46 +0000

fortune-zh (2.5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1 .
    + Replace the 'extra' priority with 'optional' for the dummy
      transitional package.
  * Update my name in control and copyright.
  * Import new cookies 'shijing', partially done. (see #850903)
  * fortune-zh: Update probability for each cookie file.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Oct 2017 03:09:37 +0000

fortune-zh (2.4) unstable; urgency=medium

  * New cookie collection "tuna-collection".
  * Bump Standards Version to 4.0.0 (No change needed).

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 01 Jul 2017 15:15:24 +0000

fortune-zh (2.3) experimental; urgency=medium

  * Fix the last replacement character in song100 and remove the
    corresponding TODO entry. (See: #850905)

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 06 Jun 2017 05:07:34 +0000

fortune-zh (2.2) experimental; urgency=medium

  * Substitute the replacement Chiense characters with the original one.
    There is still a character remains to be fixed, as said in d/TODO.
    (Closes: #850905).
  * Rename binary package "fortune-zh" to "fortunes-zh" since the other
    fortune cookie packages are named as "fortunes-*". The binary package
    "fortune-zh" is now a dummy transitional package.
  * New lintian overrides for fortune-zh.
  * Binary package fortunes-zh breaks and replaces fortune-zh (<< 2.2).
    Binary package fortune-zh depends on fortunes-zh.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 14 Apr 2017 03:32:04 +0000

fortune-zh (2.1) unstable; urgency=medium

  * Make the findutil traversal order fixed to fix reproducibility.
    Thanks to Chris Lamb <lamby@debian.org>. (Closes: #850505)

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 09 Jan 2017 14:06:22 +0000

fortune-zh (2.0) unstable; urgency=medium

  * New 2.X release.
  * Fix invalid encodings in tang300 (LP: #499664)
  * Update https links in Vcs-Git and Vcs-Browser fields.
  * Bump standards version to 3.9.8 . (requires no change)
  * Update package description.
  * Add new Chinese cookies under chinese.d/ .
  * Rewrite d/copyright in dep8 machine-readable style.
  * Update manpage man/fortune-zh.6 .
  * Simplify Makefile by removing redundant lines.
  * Remove .u8 symlinks. Use fortune-zh.links to create symlinks instead.
  * Update fortune-zh script.
  * Add autopkgtest support -- test fortune-zh script and cookie files.
  * Override false positive lintian: capitalization-error-in-description .
  * Bump debhelper compat to 10.

  [ Boyuan Yang ]
  * Add a Simplified Chinese manpage.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 08 Dec 2016 06:03:42 +0000

fortune-zh (1.11) unstable; urgency=medium

  [ Zhou Mo ]
  * New maintainer. (Closes: #629014)
  * Fix a few characters in tang300.
  * Add manpage for fortune-zh(6).
  * Switched to dpkg-source 3.0 (native) format.
    - debian/source/format
  * Convert shijing.gb into UTF-8 encoding.
  * Update description.
  * Handle environment LANG properly in fortune-zh.
  * Update Makefile.

  [ Aron Xu ]
  * Put Debian Chinese Team in Maintainer field
  * Use dh 7 style rules
  * Remove useless dirs file

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 19 May 2015 06:03:14 +0000

fortune-zh (1.10) unstable; urgency=low

  * QA upload.
  * Really set Architecture field to 'all'. (Closes: #518054)
  * Build package in binary-indep.
  * Add missing targets build-{arch,indep}.
  * Maintainer field set to QA Group.
  * Drop Uploaders field.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.

 -- Emanuele Rocca <ema@debian.org>  Mon, 20 Jan 2014 23:14:42 +0100

fortune-zh (1.9) unstable; urgency=low

  * New maintainer.
  * debian/control:
    - bump standards version to 3.9.2.
    - add Vcs-* fields.
    - update description.
    - add misc:Depends to depends.
  * bump compat level to 7:
    - debian/rules: updated.
    - debian/compat: added.
    - debian/control: update build depends.
  * debian/README.debian:
    - fix typo
    - change encoding to UTF-8.
  * Makefile:
    - create dest dir first.
    - don't raise error when clean.
    - install fortune-zh to /usr/games
  * debian/rules: updated.
  * debian/copyright: updated.
  * Fix "Fix a few characters + fortune files in Traditional Chinese"
    (Closes: #427092)
    - song100: updated.

 -- LI Daobing <lidaobing@debian.org>  Sun, 05 Jun 2011 11:37:02 +0800

fortune-zh (1.8) unstable; urgency=low

  * Changed Architecture to all. (Closes:Bug#518054)

 -- Yu Guanghui <ygh@debian.org>  Wed, 04 Mar 2009 22:40:24 +0800

fortune-zh (1.7) unstable; urgency=low

  * Porvides fortune-cookie-db. (Closes:Bug#448063)

 -- Yu Guanghui <ygh@debian.org>  Thu,  6 Jul 2006 02:41:43 +0800

fortune-zh (1.6) unstable; urgency=low

  * recode has issues when convert utf8 to big5. Modified fortune-zh
    as workaround. Suggest big5 users continue use fortune-zh until
    recode's issues is fixed.

 -- Yu Guanghui <ygh@debian.org>  Fri, 13 Feb 2004 18:06:15 +0800

fortune-zh (1.5) unstable; urgency=low

  * Fixed old spell errors.(closes:Bug#124628, Bug#120803)
  * Converted data files to utf8, fortune can recode. fortune-zh isn't
    required, but it's still kept for compatibility. (closes:Bug#204380)

 -- Yu Guanghui <ygh@debian.org>  Thu, 12 Feb 2004 20:19:27 +0800

fortune-zh (1.4) unstable; urgency=low

  * New release.

 -- Yu Guanghui <ygh@debian.org>  Mon,  5 Mar 2001 21:09:54 +0800

fortune-zh (1.3) unstable; urgency=low

  * Fixed debian/rules, do nothing under binary-indep. (closes:Bug#88581)

 -- Yu Guanghui <ygh@debian.org>  Mon,  5 Mar 2001 18:06:43 +0800

fortune-zh (1.2) unstable; urgency=low

  * Added depend on zh-autoconvert.

 -- Yu Guanghui <ygh@debian.org>  Sun,  4 Mar 2001 18:42:12 +0800

fortune-zh (1.1) unstable; urgency=low

  * Modified fortune-zh script.
  * Temporarily remove smth-joke from this packages, it will be back
    after adjustment.

 -- Yu Guanghui <ygh@debian.org>  Sun,  4 Mar 2001 10:07:34 +0800

fortune-zh (1.0) unstable; urgency=low

  * Initial release.

 -- Yu Guanghui <ygh@debian.org>  Thu,  1 Mar 2001 00:21:15 +0800
